- Qt 6.6
- Qt Core
- C++ Classes
- QLatin1Char
- Qt 6.6.1 Reference Documentation

# QLatin1Char Struct

The QLatin1Char class provides an 8-bit ASCII/Latin-1 character. More...

Header: | #include <QLatin1Char>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Core) target_link_libraries(mytarget PRIVATE Qt6::Core)
qmake: | QT += core

- List of all members, including inherited members
- QLatin1Char is part of Classes for String Data.

Note: All functions in this struct are reentrant.

## Public Functions

| QLatin1Char(char c)
char | toLatin1() const
char16_t | unicode() const

## Related Non-Members

QLatin1Char | operator""_L1(char ch)

## Detailed Description

This class is only useful to construct a QChar with 8-bit character.

See also QChar, QLatin1StringView, and QString.

## Member Function Documentation

### `[explicit constexpr noexcept]` QLatin1Char::QLatin1Char(char c)

Constructs a Latin-1 character for c. This constructor should be used when the encoding of the input character is known to be Latin-1.

### `[constexpr noexcept]` char QLatin1Char::toLatin1() const

Converts a Latin-1 character to an 8-bit ASCII representation of the character.

### `[constexpr noexcept]` char16_t QLatin1Char::unicode() const

Converts a Latin-1 character to an 16-bit-encoded Unicode representation of the character.

## Related Non-Members

### `[constexpr noexcept, since 6.4]` QLatin1Char operator""_L1(char ch)

Literal operator that creates a QLatin1Char out of ch.

The following code creates a QLatin1Char:

     using namespace Qt::Literals::StringLiterals;

     auto ch = 'a'_L1;

This function was introduced in Qt 6.4.

See also Qt::Literals::StringLiterals.